#define codeVersion "Solar tracker 2.8.2014"

double loopMillis, sensorMillis;
float sensorEast, sensorWest, temp;

void setup() 
{
  Serial.begin(9600);
  Serial.println(codeVersion);
  Serial.println("pins:");
  Serial.println("A2 - sensor East");
  Serial.println("A3 - sensor West");
  Serial.println("D2 - output move East");
  pinMode(2, OUTPUT);
  Serial.println("D3 - output move West");
  pinMode(3, OUTPUT);
}

void loop()
{  
  loopMillis=millis();

  if (loopMillis-sensorMillis>1000)
  {
    sensorMillis=loopMillis;
    if (sensorWest<100 && sensorEast<100) //Move Stop
    {
       digitalWrite(2,1);
       digitalWrite(3,1);
    }
    else
    {
      if (sensorEast-sensorWest>4)
      {
         digitalWrite(2,0);  //Move to East Start
         sensorEast=0;
         sensorWest=0;
      }
      else
      {
         digitalWrite(2,1);   //Move to East Stop
      }
    
      if (sensorWest-sensorEast>4)
      {
         digitalWrite(3,0); //Move to West Start
         sensorEast=0;
         sensorWest=0;
      }
      else
      {
         digitalWrite(3,1);  //Move to West Stop
      }
    }   
    sensorEast=sensorEast*.9+analogRead(A2)*.1;
    Serial.print("A2: ");
    Serial.print(analogRead(A2));
    Serial.print(" => East sensor: ");
    Serial.print(sensorEast);
    Serial.print("          loopMillis: ");
    Serial.println(loopMillis);
    sensorWest=sensorWest*.9+analogRead(A3)*.1;
    Serial.print("A3: ");
    Serial.print(analogRead(A3));
    Serial.print(" => West sensor: ");
    Serial.print(sensorWest);
    if (digitalRead(2) && digitalRead(3) ) Serial.print("          Motor stop");
    if (digitalRead(2)==0) Serial.print("          Motor moving to East");
    if (digitalRead(3)==0) Serial.print("          Motor moving to West");
    Serial.println(" ");
  }
}
